org.springframework.beans.factory.support

## Class BeanDefinitionValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.FatalBeanException
            - - org.springframework.beans.factory.support.BeanDefinitionValidationException

- All Implemented Interfaces:
    Serializable

      public class BeanDefinitionValidationException
      extends FatalBeanException

  Exception thrown when the validation of a bean definition failed.
  Since:
    21.11.2003
  Author:
    Juergen Hoeller
  See Also:
    `AbstractBeanDefinition.validate()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanDefinitionValidationException(String msg)` Create a new BeanDefinitionValidationException with the specified message.
    `BeanDefinitionValidationException(String msg, Throwable cause)` Create a new BeanDefinitionValidationException with the specified message and root cause.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.beans.BeansException

      `equals, hashCode`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanDefinitionValidationException

          public BeanDefinitionValidationException(String msg)

      Create a new BeanDefinitionValidationException with the specified message.
      Parameters:
        `msg` - the detail message

    - #### BeanDefinitionValidationException

          public BeanDefinitionValidationException(String msg,
                                           Throwable cause)

      Create a new BeanDefinitionValidationException with the specified message and root cause.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause